## section-panda

section-panda

## Functions

char ** | flickcurl_panda_getList ()
flickcurl_photo ** | flickcurl_panda_getPhotos ()

## Description

## Functions

### flickcurl_panda_getList ()

    char **
    flickcurl_panda_getList (flickcurl *fc);

Get the current list of Flickr Pandas

Can be used with `flickcurl_panda_getPhotos()` to get photos for the given Flickr Panda

Announced 2009-03-03 http://code.flickr.com/blog/2009/03/03/panda-tuesday-the-history-of-the-panda-new-apis-explore-and-you/

Implements flickr.panda.getList (1.9)

#### Parameters

fc | flickcurl context |

#### Returns

non-0 on failure

### flickcurl_panda_getPhotos ()

    flickcurl_photo **
    flickcurl_panda_getPhotos (flickcurl *fc,
                               const char *panda_name);

Ask the Flickr Pandas for a list of recent public (and "safe") photos.

Use `flickcurl_panda_getList()` to get the list of

Flickr Pandas

Announced 2009-03-03 http://code.flickr.com/blog/2009/03/03/panda-tuesday-the-history-of-the-panda-new-apis-explore-and-you/

Only "supports the following extras: ownername, license, date_upload, date_taken, tags, machine_tags, views, media" - Sergey M., Flickr staff 2011-09-16 http://tech.groups.yahoo.com/group/yws-flickr/message/7203

Implements flickr.panda.getPhotos (1.9)

#### Parameters

fc | flickcurl context |
panda_name | The name of the panda to ask for photos from. |

#### Returns

photos array or NULL on failure